const url =
  "https://desarrollowww.inegi.org.mx/app/api/indicadores/desarrolladores/jsonxml/JSONSTAT/1002000001/es/0700/false/BISE/[Aquí va tu Token]?type=jsonStat";


//Se obtiene el JsonStat en forma de objeto por medio de la librería jsonstat-toolkit
async function getJsonStatDS(url_) {
  return new Promise(function (resolve, reject) {
    JSONstat(url_).then((result) => {
      resolve(result);
    });
  });
}

//Creación de la tabla por medio de la librería jsonstat-suite
async function getJsonStatTabla(url_) {
  return new Promise(function (resolve, reject) {
    JSONstat(url_).then((result) => {
      var html = JSONstatUtils.datalist(result, {
        counter: true,
        status: true,
        tblclass: "table table-striped",
      });
      document.getElementById("TablaJsonStat").innerHTML = html;
      resolve(result);
    });
  });
}

var jsonStat;
async function inicioJsonStat() {
  var jsonStat = await getJsonStatDS(url);
  await getJsonStatTabla(url);

  //Creación de la matriz de datos para alimentar al graficador
  var jsonStatChart = jsonStat.Dataset(0).toTable({}, function (d, i) {
    return [d[0] + " " + d[4], d[5]];
  });

  google.charts.load("current", { packages: ["bar"] });
  google.charts.setOnLoadCallback(drawStuff);

  function drawStuff() {
    var data = new google.visualization.arrayToDataTable(jsonStatChart);

    var options = {
      legend: { position: "none" },
      chart: {
        title: jsonStat.Dataset(0).label,
      },
      bar: { groupWidth: "90%" },
      colors: ["#d95f02"],
    };

    var chart = new google.charts.Bar(document.getElementById("GraficaJsonStat"));
    chart.draw(data, google.charts.Bar.convertOptions(options));
  }
}
